Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|
| GET |
/api/standing-rules |
|
200 PagedResultOfStandingRuleDto |
| POST |
/api/standing-rules |
|
200 StandingRuleDto |
| GET |
/api/standing-rules/{id} |
|
200 StandingRuleDetailDto |
| PATCH |
/api/standing-rules/{id} |
|
200 StandingRuleDto |
| PUT |
/api/standing-rules/{id} |
|
200 StandingRuleDto |
| POST |
/api/standing-rules/{id}/confirm |
|
200 StandingRuleDto |
| POST |
/api/standing-rules/{id}/links |
|
200 StandingRuleDetailDto |
| DELETE |
/api/standing-rules/{id}/links/{memoryId} |
|
200 |
| POST |
/api/standing-rules/{id}/withdraw |
|
200 StandingRuleDto |
| GET |
/api/standing-rules/check |
|
200 RuleCheckResult |
| GET |
/api/standing-rules/search |
|
200 GlobalSearchHit[] |
| GET |
/api/standing-rules/stale |
|
200 StaleStandingRuleDto[] |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
PagedResultOfStandingRuleDto
| Property | Type | Description |
| items* |
StandingRuleDto[] |
|
| totalCount |
int32 |
|
| page |
int32 |
|
| pageSize |
int32 |
|
| hasTotal |
boolean |
|
| moreAvailable |
null,boolean |
|
| totalPages |
int32 |
|
| hasNextPage |
boolean |
|
| hasPreviousPage |
boolean |
|
RuleCheckResult
| Property | Type | Description |
| trigger |
RuleTrigger |
|
| rules |
StandingRuleDto[] |
|
| noRulesApply |
boolean |
|
StandingRuleDetailDto
| Property | Type | Description |
| grounding |
StandingRuleLinkDto[] |
|
| evidence |
StandingRuleLinkDto[] |
|
| supersededByAssertion |
null,string |
|
| id |
int64 |
|
| guid |
uuid |
|
| assertion |
string |
|
| rationale |
null,string |
|
| trigger |
RuleTrigger |
|
| kind |
RuleKind |
|
| status |
RuleStatus |
|
| identityId |
int64 |
|
| identityName |
null,string |
|
| projectId |
int64 |
|
| supersededById |
int64 |
|
| statusReason |
null,string |
|
| statusChangedAtUtc |
date-time |
|
| groundingCount |
int32 |
|
| evidenceCount |
int32 |
|
| surfacedCount |
int32 |
|
| lastSurfacedAtUtc |
date-time |
|
| reviewByUtc |
date-time |
|
| expiresAtUtc |
date-time |
|
| watchKindId |
RuleWatchKind |
|
| lastReviewedAtUtc |
date-time |
|
| createdAtUtc |
date-time |
|
| updatedAtUtc |
date-time |
|
StandingRuleDto
| Property | Type | Description |
| id |
int64 |
|
| guid |
uuid |
|
| assertion |
string |
|
| rationale |
null,string |
|
| trigger |
RuleTrigger |
|
| kind |
RuleKind |
|
| status |
RuleStatus |
|
| identityId |
int64 |
|
| identityName |
null,string |
|
| projectId |
int64 |
|
| supersededById |
int64 |
|
| statusReason |
null,string |
|
| statusChangedAtUtc |
date-time |
|
| groundingCount |
int32 |
|
| evidenceCount |
int32 |
|
| surfacedCount |
int32 |
|
| lastSurfacedAtUtc |
date-time |
|
| reviewByUtc |
date-time |
|
| expiresAtUtc |
date-time |
|
| watchKindId |
RuleWatchKind |
|
| lastReviewedAtUtc |
date-time |
|
| createdAtUtc |
date-time |
|
| updatedAtUtc |
date-time |
|